Subject: Re: Some modular-xorg packages cannot be created on Debian Linux
To: Alexander Nasonov <>
From: Jeremy C. Reed <>
List: pkgsrc-users
Date: 05/02/2007 13:55:46
On Wed, 2 May 2007, Alexander Nasonov wrote:

> x11/xkbcomp, fonts/bdftopcf and one other package cannot be created 
> because .1 extension is assumed in their PLISTs. But there is a check in 
> configure script in x11/xkbcomp which sets it to 1x if $OPSYS_LOWER == 
> "linux".

I have been trying to make sure these are fixed upstream. Xorg has fixed 
the macros for this, but just hasn't released a newer versions of the 
tarballs yet.

> One fix would be to replace .1 with something like ${MAN1_SUFFIX}. 
> Another fix would be to patch the configure script. Which one is the 
> right fix?

The easiest for now is to just set in the CONFIGURE_ENV for 
APP_MAN_SUFFIX, etc. Some examples can be seen with:

grep MAN_SUFFIX pkgsrc/x11/lib*/Makefile

> Thanks for great work! I succesfully built modular-xorg on FreeBSD 6.2 
> and OpenBSD 4.0. This is a list of packages I put in my pkgchk.con file:
> x11/modular-xorg-server
> x11/xf86-input-keyboard
> x11/xf86-input-mouse
> x11/xf86-video-ati
> x11/xinit
> x11/xterm
> x11/xauth
> x11/iceauth
> meta-pkgs/modular-xorg-fonts
> wm/ratpoison

Thanks for your status report.

  Jeremy C. Reed